Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.das
Interface DataAccessService

    public interface DataAccessService

This class is the service interface for a data service. It allows invoking data service operations (functions and procedures) using a dynamic interface.

Example:
`DataAccessService das = DataAccessServiceFactory.newDataAccessService(ctx,"Demo_Application","ld:customerproj/customerView");
DASResult
`

Method Summary
`boolean` | `clearResultCache(java.lang.String operation, int arity)` Purge result cache for the operation on this Data Service with this name and arity.
`commonj.sdo.helper.HelperContext` | `getHelperContext()` Return the SDO HelperContext associated with this DataAccessService.
`DASResult<java.lang.Object>` | `invoke(java.lang.String operation, java.lang.Object[] args)` The dynamic method for invoking data service operations.
`DASResult<java.lang.Object>` | `invoke(java.lang.String operation, java.lang.Object[] args, RequestConfig config)` The dynamic method for invoking data service operations.

Method Detail

### invoke

    DASResult<java.lang.Object> invoke(java.lang.String operation,
                                       java.lang.Object[] args)
                                       throws DASException

  The dynamic method for invoking data service operations.

  Parameters:
    `operation` - The name of the operation in the data service to be invoked.
    `args` - The arguments to the operation. For operations which have zero arguments, use null or an empty array.
  Returns:
    DASResult.
  Throws:
    `DASException`

### invoke

    DASResult<java.lang.Object> invoke(java.lang.String operation,
                                       java.lang.Object[] args,
                                       RequestConfig config)
                                       throws DASException

  The dynamic method for invoking data service operations.

  Parameters:
    `operation` - The name of the operation in the data service to be invoked.
    `args` - The arguments to the operation. For operations which have zero arguments, use null or an empty array.
    `config` - A RequestConfig for controlling how the server will invoke this function, and for allowing return of out-of-band results such as server audit information.
  Returns:
    DASResult.
  Throws:
    `DASException`

### getHelperContext

    commonj.sdo.helper.HelperContext getHelperContext()

  Return the SDO HelperContext associated with this DataAccessService. You must use the XMLHelper, etc. from this HelperContext when manipulating any DataObjects returning from this DataAccessService, or creating new DataObjects to pass to this DataAccessService.

### clearResultCache

    boolean clearResultCache(java.lang.String operation,
                             int arity)
                             throws DASException

  Purge result cache for the operation on this Data Service with this name and arity.

  Parameters:
    `operation` - Operation name.
    `arity` - Arity (# args) of operation.
  Returns:
    true if cache was cleared successfully.
  Throws:
    `DASException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.